Bug 26386 - Attempting to mount CD-RW drive causes system lockup
Attempting to mount CD-RW drive causes system lockup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Aaron Brown
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-06 20:00 EST by P. Beltrani
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-27 10:17:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description P. Beltrani 2001-02-06 20:00:58 EST
System has a CD-ROM (master, /dev/hdc) and CD-RW (slave, /dev/hdd)

Attempts to mount a cd using using the CD-RW cause the system to lock-up.

The drive is a CenDyne CDICD00047 which I believe is a repackaged Ricoh RW7063A


System info from syslog:
 kernel: Linux version 2.4.0-0.99.11 (root@porky.devel.redhat.com) (gcc
version 2.96 20000731 (Red Hat Linux 7.0)) #1
Wed Jan 24 16:07:17 EST 2001
 kernel: Kernel command line: auto BOOT_IMAGE=linux ro root=303
BOOT_FILE=/boot/vmlinuz-2.4.0-0.99.11
 kernel: CPU: AMD Athlon(tm) Processor stepping 01
 kernel: BIOS Vendor: Award Software, Inc.
 kernel: BIOS Version: ASUS K7V ACPI BIOS Revision 1007
 kernel: BIOS Release: 07/26/2000
 kernel: Board Vendor: ASUSTeK Computer INC..
 kernel: Board Name: <K7V>.
 kernel: Board Version: REV 1.xx.
 kernel: apm: BIOS version 1.2 Flags 0x03 (Driver version 1.14)
 kernel: VP_IDE: IDE controller on PCI bus 00 dev 21
 kernel: VP_IDE: chipset revision 16
 kernel: VP_IDE: not 100%% native mode: will probe irqs later
 kernel: VP_IDE: VIA vt82c686a IDE UDMA66 controller on pci0:4.1
 kernel:     ide0: BM-DMA at 0xb800-0xb807, BIOS settings: hda:DMA, hdb:pio
 kernel:     ide1: BM-DMA at 0xb808-0xb80f, BIOS settings: hdc:DMA, hdd:DMA
 kernel: hda: WDC AC310200R, ATA DISK drive
 kernel: ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
 kernel: hdc: ASUS CD-S500/A, ATAPI CD/DVD-ROM drive
 kernel: hdd: CD-R/RW RW7063A, ATAPI CD/DVD-ROM drive
 kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
 kernel: ide1 at 0x170-0x177,0x376 on irq 15
 kernel: hda: 20044080 sectors (10263 MB) w/512KiB Cache, CHS=1247/255/63,
UDMA(33)
 kernel: Partition check:
 kernel:  hda: hda1 hda2 hda3 hda4

fstab entries:
  /dev/cdrom  /mnt/cdrom   iso9660 noauto,user,owner,ro 0 0
  /dev/cdrom1 /mnt/cdrom1  iso9660 noauto,user,owner,ro 0 0

partial listing of /dev
  lrwxrwxrwx  1 root  root        3 Feb  4 11:36 /dev/cdrom -> hdc
  lrwxrwxrwx  1 root  root        3 Feb  4 11:36 /dev/cdrom1 -> hdd
  brw-rw----  1 root  disk  22,   0 Jan 18 01:16 /dev/hdc
  brw-rw----  1 root  disk  22,  64 Jan 18 01:16 /dev/hdd

Procedure to generate failure:

1) boot to run level 2

2) Login as root

3) from command line execute: mount /mnt/cdrom

This generates the following syslog entries

 kernel: hdc: ATAPI 50X CD-ROM drive, 128kB Cache, UDMA(33)
 kernel: Uniform CD-ROM driver Revision: 3.12
 kernel: hdd: set_drive_speed_status: status=0x51 { DriveReady SeekComplete
Error }
 kernel: hdd: set_drive_speed_status: error=0x04
 kernel: hdd: ATAPI 32X CD-ROM CD-R/RW drive, 2048kB Cache, DMA

4) Unmount and eject cdrom

5) from command line execute: mount /mnt/cdrom1

 At this point the CD spins up and the system locks-up


Misc info:
 1) The current hardware configuration works fine under RH 7.0.

 2) "eject /dev/hdd" will eject the tray WITHOUT locking up the system.
(Provided this is done before attempting to mount it)

 3) The system WILL boot correctly from a RH 7.0 CD in /dev/hdd

 4) The system will ATTEMPT to boot the RH fisher CD in /dev/hdd.  However
it locks up shortly after displaying the line "running /sbin/loader"
followed by a blue screen.
Comment 1 Bill Nottingham 2001-02-06 20:05:37 EST
assigning to kernel.
Comment 2 Glen Foster 2001-02-08 11:00:40 EST
We (Red Hat) should really try to resolve this before next release.
Comment 3 P. Beltrani 2001-02-27 10:17:30 EST
Did a clean install of release 7.0.91, Wolverine. The problems appears to have
been resolved in this release.
Comment 4 David Lawrence 2001-02-27 22:10:16 EST
Always nice to see bugs fixed.  :-)  Thanks for letting us know.
Comment 5 Glen Foster 2001-02-28 10:35:54 EST
This is a test message, to see if we can reproduce a problem -- please ignore

Note You need to log in before you can comment on or make changes to this bug.